{% extends "./page.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "packages/components/error-summary/macro.njk" import errorSummary %}

{% block pageContent %}
  {% if errors %}
    {{ errorSummary({
      titleText: errorTitleText,
      errorList: errors | toErrorList
    }) }}
  {% endif %}

  {% block preambleContent %}{% endblock %}

  <form id="form" method="post" novalidate>
    <input type="hidden" name="_csrf" value="{{ csrfToken }}">
    {% block formContent %}{% endblock %}
    {{ button({
      text: buttonText,
      preventDoubleClick: true,
      attributes: {
        id: 'submit-button'
      }
    }) }}
  </form>
  {% if cancel %}
    <p>
      <a id="cancel-link" href={{contextPath}}/start>{{cancel}}</a>
    </p>
  {% endif %}
{% endblock %}